View Issue Details

IDProjectCategoryView StatusLast Update
0014365LazarusLCLpublic2010-05-19 03:50
ReporterDedyAssigned ToPaul Ishenin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.27 (SVN)Product BuildLazarus 0.9.27 r21222:21223M 
Target Version1.0.0Fixed in Version0.9.29 (SVN) 
Summary0014365: raised exception 'External: SIGSEGV' in Tpage
Descriptionraised exception class 'External: SIGSEGV' when Button1 clicked..
TagsNo tags attached.
Fixed in Revision25126
LazTarget1.0
WidgetsetWin32/Win64
Attached Files

Relationships

has duplicate 0014366 closedJonas Maebe FPC raised exception 'External: SIGSEGV' in Tpage 

Activities

2009-08-16 18:07

 

testcase.zip (325,264 bytes)

theo

2009-08-16 18:32

reporter   ~0029914

See: http://forum.lazarus.freepascal.org/index.php/topic,7254.msg34225/

Paul Ishenin

2009-08-17 17:46

manager   ~0029929

You are trying to destroy a control inside this control event handler. This usually cause AV. Better to postpone control destruction using for example PostMessage technique.

Paul Ishenin

2010-05-02 10:02

manager   ~0037157

Please test and close if ok.

Dedy

2010-05-19 03:50

reporter   ~0037756

thanks

Issue History

Date Modified Username Field Change
2009-08-16 18:07 Dedy New Issue
2009-08-16 18:07 Dedy File Added: testcase.zip
2009-08-16 18:12 Florian Project FPC => Lazarus
2009-08-16 18:28 Jonas Maebe Relationship added has duplicate 0014366
2009-08-16 18:32 theo Note Added: 0029914
2009-08-17 16:50 Vincent Snijders LazTarget => 1.0
2009-08-17 16:50 Vincent Snijders Status new => acknowledged
2009-08-17 16:50 Vincent Snijders Target Version => 1.0.0
2009-08-17 16:51 Vincent Snijders Widgetset => Win32/Win64
2009-08-17 16:51 Vincent Snijders Category FCL => LCL
2009-08-17 16:51 Vincent Snijders Product Version 2.2.5 => 0.9.27 (SVN)
2009-08-17 17:46 Paul Ishenin Note Added: 0029929
2010-05-02 10:02 Paul Ishenin Fixed in Revision => 25126
2010-05-02 10:02 Paul Ishenin Status acknowledged => resolved
2010-05-02 10:02 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2010-05-02 10:02 Paul Ishenin Resolution open => fixed
2010-05-02 10:02 Paul Ishenin Assigned To => Paul Ishenin
2010-05-02 10:02 Paul Ishenin Note Added: 0037157
2010-05-19 03:50 Dedy Status resolved => closed
2010-05-19 03:50 Dedy Note Added: 0037756